%define upstream_name Dist-Zilla-Plugin-Author-KENTNL-TravisCI
%define upstream_version 0.001002

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	A specific subclass of TravisCI that does horrible things
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Dist::Zilla::Plugin::TravisCI)

BuildArch:	noarch

%description
A specific subclass of TravisCI that does horrible things.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.1.2-3.mga6
+ Revision: 1025824
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.1.2-2.mga6
+ Revision: 968221
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.1.2-1.mga6
+ Revision: 851636
- imported package perl-Dist-Zilla-Plugin-Author-KENTNL-TravisCI

